Prestructured Queries

Using a patient's unique Assembled graph instance as input for Synthesize enables developers to preset queries to run automatically any time data in the record is updated.

Concordance

The first of these endpoints is /concordance which automatically surfaces and synthesizes the guidelines for each of the problems on a patient's problem list. Responses are contextualized to the data in a patient's record corresponding not just to their current care plans, but their medical history, including labs, pre-existing conditions, and risk factors.

Endpoint

POST /v1/concordance

Authentication

All requests require an API key passed in the request header:

x-api-key: <your-api-key>

Request Headers

Header
Value
Required

x-api-key

Your API key

Yes

Content-Type

application/json

Yes

Request Body

The request body consists of an AssembledPatient and a ccsr_category to indicate which problem list item is being evaluated for guideline concordance.

Field
Type
Required
Description

assembled_patient

AssembledPatient

Yes

ccsr_category

str

Yes

The problem list item (CCSR category)

Last updated

Was this helpful?